GDAL을 빌드해서 설치할 때..

향후 PostgreSQL과 연계되어 작동시키고 싶을 때는 아래와 같이 몇 가지 과정이 필요합니다.


1. PostgreSQL의 dev 패키지를 설치해줘야 합니다.


    PostgreSQL의 9.4 버전을 기준으로 아래와 같은 방식으로 패키지를 설치합니다.

    apt-get install -y postgresql-server-dev-9.4


2. gdal configure를 수행할 때 --with-pg 옵션을 통해 pg_config 파일의 위치를 잡아줍니다.


    ./configure --with-python --with-pg=/usr/bin/pg_config

   


    위와 같이 PostgreSQL support  yes가 나오면 성공!


   

    ./configure --with-python --with-pg=/usr/bin/pg_config --with-geos=yes

    어휴 이번에는 요걸로. geos 땜시 ㅠ 

   



3. 1011일 configure (for otb)


 ./configure --with-python --with-pg=/usr/bin/pg_config --with-geos=yes --with-libtiff=internal --with-geotiff=internal --with-rename-internal-libtiff-symbols=yes --with-rename-internal-libgeotiff-symbol=yes 



4. make / make install


    install 고고.

+ Recent posts